KDESU(1)

NAME
kdesu - Executa um programa com privilégios elevados

SYNOPSIS

kdesu [-c] [-d] [-f file] [-i icon name] [-n] [-p priority] [-r] [-s] [-t] [-u user] [--nonewdcop] [command [arg1] [arg2] [...]]

kdesu [Opções Genéricas do KDE] [Opções Genéricas do Qt]

DESCRIçãO

O KDE su é uma interface gráfica para o comando de UNIX® su para o Ambiente de Trabalho K. Permite-lhe executar um programa com um utilizador diferente, indicando a senha desse utilizador. O KDE su é um programa sem privilégios; utiliza apenas o su do sistema.

O KDE su tem uma funcionalidade adicional: poderá recordar opcionalmente as senhas para si. Se estiver a usar esta funcionalidade, só terá de indicar uma vez a senha para cada comando.

Este programa pretende ser iniciado a partir da linha de comandos ou a partir de ficheiros .desktop.

OPçõES

-c program
    This specifies the program to run as root. It has to be passed in one argument. So if, for example, you want to start a new file manager, you would enter at the prompt: kdesu -c kfm -sw

-d  Mostra informações sobre a depuração.

-f ficheiro
    Esta opção permite um uso eficiente do KDE su em ficheiros .desktop. Isto diz ao KDE su para examinar o ficheiro indicado em ficheiro. Se este ficheiro puder ser alterado pelo utilizador actual, o KDE su irá executar o comando com esse utilizador. Se não puder ser alterado, o comando é executado com o utilizador utilizador (o 'root', por omissão). file is evaluated like this: if file starts with a /, it is taken as an absolute filename. Otherwise, it is taken as the name of a global KDE configuration file. For example: to configure the K display manager, kdm, you could issue kdesu -c kdmconfig -f kdmrc

-i nome do ícone
    Indique o ícone a usar na janela da senha. Poderá indicar apenas o nome, sem qualquer extensão.

-n  Não memorizar a senha. Isto desactiva a opção "Guardar a senha" na janela correspondente.

-p prioridade
    Indica o valor da prioridade. A prioridade é um número qualquer entre 0 e 100, onde o 100 corresponde à prioridade máxima e o 0 à mínima. O valor por omissão é 50.

-r  Usa o escalonamento em tempo-real.

-s  Pára o servidor do 'kdesu'. Este é o servidor que coloca em 'cache' as senhas bem-sucedidas em segundo plano. Esta funcionalidade também poderá ser desactivada com o -n, quando o KDE su é executado inicialmente.

-t  Permite enviar o resultado para o terminal. Isto desactiva a memorização de senhas. É largamente usado para efeitos de depuração; se você quiser executar uma aplicação no modo de consola, use o comando "su" normal.

-u utilizador
    Embora a utilização mais comum do KDE su seja correr um comando como super-utilizador, poderá indicar qualquer nome de utilizador e a senha apropriada.

VEJA TAMBéM

su(1)

Está disponível mais documentação de utilizador detalhada em help:/kdesu (tanto poderá indicar este URL no Konqueror, como executar khelpcenter help:/kdesu).

EXEMPLOS

Executar o kfmclient com o utilizador ze, e mostrar o ícone do Konqueror na janela de senhas:

    kdesu -u jim -i konqueror kfmclient

AUTORES

O KDE su foi criado por Geert Jansen <jansen@kde.org> e Pietro Iglio <iglio@fub.it>.

AUTHOR
Lauri Watts.